<?php

namespace ACL\Services;

use ACL\Helpers\Instances\InstanceProvider;
use ACL\Repositories\Pais as PaisRepository;
use ACL\Traits\TCrud;

class Pais
{

    use TCrud;

    /**
     * @var \Teknisa\Libs\Util\Environment
     */
    private $libEnvironment;

    /**
     * @var PaisRepository
     */
    private $paisRepository;

    public function __construct(PaisRepository $paisRepository)
    {
        $this->paisRepository = $paisRepository;
        $this->libEnvironment = InstanceProvider::getLibEnvironment();
    }

    /**
     * @return array
     */
   public function findAllPais(): array
   {
       return $this->paisRepository->findAllPais(getNrorg());
   }
}
