import Vue from 'vue';
import App from './App.vue';
import { vuetify } from './plugins';
import './registerServiceWorker';
import 'roboto-fontface/css/roboto/roboto-fontface.css';
import './components/vuetify/index';
import './styles';

Vue.config.productionTip = false;

declare global {
	interface Window {
		showFullOperatorWindow: any;
	}
}

new Vue({
  vuetify,
  render: (h) => h(App),
}).$mount('#app');
